<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [setAutoJobAssignment](./bitburner.officeapi.setautojobassignment.md)

## OfficeAPI.setAutoJobAssignment() method

Set the auto job assignment for a job

<b>Signature:</b>

```typescript
setAutoJobAssignment(divisionName: string, cityName: string, job: string, amount: number): Promise<boolean>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string | Name of the city |
|  job | string | Name of the job |
|  amount | number | Number of employees to assign to that job |

<b>Returns:</b>

Promise&lt;boolean&gt;

A promise that is fulfilled when the assignment is complete.

